Vulnerabilidad en SAMBA
#1
Dejo la noticia, de momento han detectado el fallo en sinology.
No se en qnap que versión de samba tenemos ya que yo la tengo activa, y muchos más usuarios ya que si recordáis al iniciar el NAS por primera vez te pregunta desde que sistema operativo se conectadas al NAS.
Yo en mi caso Windows y Linux, con lo cual activa los servicios necesarios para poder acceder a las carpetas compartidas.
Con estas sencillas preguntas al usuario menos experto no se le pregunta si quiere activar esto o aquello, en esto radica lo bonito de qnap, hacer el NAS fácil a todos.
Bueno miraré en el mio que versión de SAMBA tengo, pero casi estoy seguro que la última actualización del firmware 4.3.3 de hace unos días habrá parcheado el agujero de seguridad.
Yo voy a tener que crear un usuario con acceso restringido y no conectarme tanto como admin. Ya que aunque he activado incluso la verificación con Google autenticathor por otros puertos nos pueden atacar.
https://www.redeszone.net/2017/05/25/los...dad-samba/

Enviado desde mi D6603 mediante Tapatalk
Hasta luego lucas... beepp, beepp

[Imagen: W1SzZlV.jpg]

 Responder
#2
Método de infección

Si tenemos el puerto SMB 445 accesible desde el exterior, es decir, si tenemos el puerto 445 abierto en el router para la IP del NAS, cualquiera podría acceder a una carpeta compartida con permisos de escritura y a través de un exploit subir una librería, que una vez en memoria a través de una ejecución de código obtendría el control del equipo.
Estamos pillados.
¿ solucion cerrar los puertos externos de ip publica que trabajan con samba?
Esta vulnerabilidad está presente desde la versión 3.x de SMB en adelante y afecta a varios sistemas operativos como Ubuntu 16.04 LTS x86_64 o DSM de Synology.

Aunque ya está solucionado para las versiones SAMBA 4.4.14, 4.6.4 y 4.5.10, en Synology deberemos esperar a que la marca saque los correspondientes parches de seguridad.

Según ha indicado Synology en breves días publicará las actualizaciones para DSM 6.1 (6.1.1-15101-04) y DSM 6.0 (6.0.3-8754-1) para solucionar este problema
Hasta luego lucas... beepp, beepp

[Imagen: W1SzZlV.jpg]

 Responder


Usuarios navegando en este tema: 1 invitado(s)


Powered By MyBB 1.8.6, © 2002-2017 MyBB Group
Hora: 24-09-2017, 04:55 PM